GT = {};
set_recursive_metatable(GT, GT_t.generic_stationary)
--set_recursive_metatable(GT.chassis, GT_t.CH_t.STATIC);
GT.visual.shape = "German_BR52_Loco"
GT.visual.shape_dstr = "German_BR52_Loco_d"

GT.IR_emission_coeff = 0.15

GT.sensor = {};
set_recursive_metatable(GT.sensor, GT_t.SN_visual);
GT.sensor.height = 3.0;

--chassis
GT.swing_on_run = false


--Burning after hit
GT.visual.fire_size = 1.5 --relative burning size
GT.visual.fire_pos[1] = -6.3 -- center of burn at long axis shift(meters)
GT.visual.fire_pos[2] = 0.8 -- center of burn shift at vertical shift(meters)
GT.visual.fire_pos[3] = 0 -- center of burn at transverse axis shift(meters)
GT.visual.fire_time = 1000 --burning time (seconds)
GT.visual.min_time_agony = 10;
GT.visual.max_time_agony = 90;
GT.visual.agony_explosion_size = 10;

GT.Name = "German_BR52_Loco"
GT.DisplayName = _("German_BR52_Loco") --Coach a platform
GT.DisplayNameShort = _("German_BR52_Loco")
GT.Rate = 10

GT.DetectionRange  = 0;
GT.ThreatRange = 0;
GT.mapclasskey = "P91000108";
GT.attribute = {wsType_Ground, wsType_Moving, wsType_Civil, wsTypeTeplowoz,
				"Trucks",
				};
GT.category = "Locomotive"
GT.tags  =
{
    "Train",
	"Locomotive",
}